import ts from 'typescript';
import type { Issues } from './types/issues.js';
export declare class IssueFixer {
    isEnabled: boolean;
    cwd: string;
    isFixDependencies: boolean;
    isFixUnusedTypes: boolean;
    isFixUnusedExports: boolean;
    unusedTypeNodes: Map<string, Set<ts.Node[]>>;
    unusedExportNodes: Map<string, Set<ts.Node[]>>;
    constructor({ isEnabled, cwd, fixTypes }: {
        isEnabled: boolean;
        cwd: string;
        fixTypes: string[];
    });
    addUnusedTypeNode(filePath: string, fix: ts.Node[]): void;
    addUnusedExportNode(filePath: string, fix: ts.Node[]): void;
    fixIssues(issues: Issues): Promise<void>;
    private removeUnusedExportKeywords;
    private removeUnusedDependencies;
}
